/**
 * <copyright>
 * </copyright>
 *
 * $Id: MiningBuildTaskValidator.java,v 1.1 2008-04-01 09:35:50 vmahe Exp $
 */
package orgomg.cwm.analysis.datamining.miningcore.miningtask.validation;

import orgomg.cwm.analysis.datamining.miningcore.miningdata.AttributeAssignmentSet;
import orgomg.cwm.analysis.datamining.miningcore.miningdata.PhysicalData;

import orgomg.cwm.analysis.datamining.miningcore.miningfunctionsettings.MiningFunctionSettings;

import orgomg.cwm.analysis.datamining.miningcore.miningmodel.MiningModel;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.datamining.miningcore.miningtask.MiningBuildTask}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface MiningBuildTaskValidator {
	boolean validate();

	boolean validateResultModel(MiningModel value);
	boolean validateMiningSettings(MiningFunctionSettings value);
	boolean validateValidationAssignment(AttributeAssignmentSet value);
	boolean validateSettingsAssignment(AttributeAssignmentSet value);
	boolean validateValidationData(PhysicalData value);
}
